<?php get_header(); ?>

	<?php include (TEMPLATEPATH . '/archiv_quicknavi.php'); ?>

	<?php get_sidebar(); ?>
	
	<?php include (TEMPLATEPATH . '/respond.php'); ?>
	
	<div id="content" class="widecolumn">
					
	<?php if (have_posts()) : ?>
		<!-- google_ad_section_start -->
		<?php include (TEMPLATEPATH . '/landingsite.php'); ?>

		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		<?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="onest">Archiv f&#252;r die Kategorie &#8222;<?php echo single_cat_title(); ?>&#8220;</h2>
		
		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="onest">Archiv f&#252;r <?php the_time('F jS, Y'); ?></h2>
		
		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="onest">Archiv f&#252;r <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="onest">Archiv f&#252;r <?php the_time('Y'); ?></h2>
		
		<?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2 class="onest">Ergebnisse der Suche</h2>
		
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="onest">Autoren Archiv</h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>

		<h2 class="onest">Blog Archiv</h2>

		<?php } ?>

		<div class="navigation">
			<p><?php next_posts_link('&laquo; Fr&uuml;here Beitr&auml;ge') ?> &middot; <?php previous_posts_link('Neuere Beitr&auml;ge &raquo;') ?></p>
		</div>

		<?php while (have_posts()) : the_post(); ?>
		<div class="post">
			<h2 class="onest"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<p class="postmetadata"><?php the_time('j.') ?><a href="<?php echo get_settings('home'); ?>/date/<?php the_time('Y'); ?>/<?php the_time('m'); ?>/"><?php the_time('F Y'); ?></a> um <?php the_time('H:i'); ?> &middot; <?php the_category(', '); ?> &middot; <a href="<?php the_permalink() ?>#comments"><?php comments_number('0 Kommentare', '1 Kommentar', '% Kommentare' ); ?></a></p>

			<div class="entry">				
				<?php the_excerpt(); ?><em><strong><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?> weiterlesen" class="alignright">Weiterlesen &raquo;</a></strong></em><br />
			</div>
		</div>
	
		<?php endwhile; ?>

		<div class="navigation">
			<p><?php next_posts_link('&laquo; Fr&uuml;here Beitr&auml;ge') ?> &middot; <?php previous_posts_link('Neuere Beitr&auml;ge &raquo;') ?></p>
			<br /><br /><br />
		</div>

	<?php else : ?>
		<h2 class="onest">Oops, nichts gefunden</h2>
		<p>Entschuldigung, aber es konnte nichts Passendes gefunden werden.<br />Benutze doch</p>
			<ul>
				<li>die <a href="/map/">Sitemap</a> zur Hilfe</li>
		    	<li>oder suche mit anderen Stichworten nach dem gew&uuml;nschten Inhalt, in dem du Suchbegriffe in das folgende Suchfeld eingibst und anschlie&szlig;end Go klickst.</li>
			</ul>
		<p>Solltest du von einer anderen Seite durch einen fehlerhaften Link hierher gekommen sein, so freue ich mich, wenn du mir eine Fehlerbeschreibung sendest. Dazu kannst du das <a href="/kontakt/">Kontakt-Formular</a> nutzen. Ich werde mich dann bem&uuml;hen, den Fehler zu beheben. Vielen Dank schon jetzt!</p>
		<br />
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>
		<br /><br /><br />
	<?php endif; ?>

	</div>
	
<?php get_footer(); ?>
