<?php
/*
Template Name: Sitemap
Author: Frank Bueltge
Author URI: http://bueltge.de/
*/
?>
<?php get_header(); ?>

	<?php include (TEMPLATEPATH . '/archiv_quicknavi.php'); ?>

	<?php get_sidebar(); ?>
	
	<?php include (TEMPLATEPATH . '/respond.php'); ?>
	
	<div id="content" class="widecolumn">
					
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post">
			<h2 class="onest"><?php the_title(); ?></h2>

			<?php 
			// START OF OPTIONS
			// Hide drafts in the sitemap?
			$hide_drafts = false;
			
			// Hide future-dated posts?
			$hide_future = false;
			// END OF OPTIONS
			
			$single = 1; $siteurl = get_settings('siteurl'); 
			
			$posts_per_page = '-1';
			
			define('NL', "\n");
			
			function archive_header($before='', $after='') {
				global $post, $orderby, $month, $previous, $siteurl, $blogfilename, $archiveheadstart, $archiveheadend, $category_name;
			
				$thiscategory = $category_name;
				if ($thiscategory != $previous) {
					$output .= '<strong><a href="'.$siteurl.'/category/'.sanitize_title(get_catname($thiscategory)).'/">'.get_catname($thiscategory).'</a></strong>'; 
				}
				$previous = $thiscategory;
				if (!empty($output)) {
					$output = $before.$output.$after.NL;
					echo $output;
				}
			}
			
			$first_pass = 1;
			
			$dogs = $wpdb->get_results("SELECT * FROM $tablecategories WHERE 1=1 ORDER BY cat_name ASC");
			
			foreach ($dogs as $catt) {
				$categories = $wpdb->get_results("SELECT * FROM $tablepost2cat WHERE category_id = $catt->cat_ID");
				if ($categories) {
					foreach ($categories as $post2category) {
						if ($hide_drafts && $hide_future) {
							$posts = $wpdb->get_results("SELECT * FROM $tableposts WHERE post_status != 'static' AND post_type = 'post' AND post_date < NOW() AND post_status != 'draft' AND $post2category->post_id = ID".$where);
						} elseif ($hide_drafts) {
							$posts = $wpdb->get_results("SELECT * FROM $tableposts WHERE post_status != 'static' AND post_type = 'post' AND post_status != 'draft' AND $post2category->post_id = ID".$where);
						} elseif ($hide_future) {
							$posts = $wpdb->get_results("SELECT * FROM $tableposts WHERE post_status != 'static' AND post_type = 'post' AND post_date < NOW() AND $post2category->post_id = ID".$where);
						} else { // else show them all
							$posts = $wpdb->get_results("SELECT * FROM $tableposts WHERE post_status != 'static' AND post_type = 'post' AND $post2category->post_id = ID".$where);
						}
			
						global $category_name;
						$category_name = $post2category->category_id;
			
						if ($posts) {
							start_wp();
							if ($first_pass) {
								archive_header('<h3>', '</h3><ul>');
								$first_pass = 0;
							} else {
								archive_header('</ul><h3>', '</h3><ul>');
							}
				
							foreach ($posts as $post) {
								?> <li><a href="<?php echo get_permalink($post->ID) ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a> <small><?php comments_number('', '(1)', '(%)'); ?></small></li><?php
							}
						}
					}
				} 
			}
			?>
			</ul>
			
			<h3>Seiten</h3>
			<ul><?php wp_list_pages('title_li='); ?></ul>

		</div>
		<?php endwhile; endif; ?>
	</div>
	
<?php get_footer(); ?>
